org.apache.calcite.avatica.ha

## Class RandomSelectLBStrategy

- java.lang.Object
- - org.apache.calcite.avatica.ha.RandomSelectLBStrategy

All Implemented Interfaces:
  LBStrategy

    public class RandomSelectLBStrategy
    extends Object
    implements LBStrategy

Random Select strategy for client side load balancing.

### Field Summary

Fields
`static String` `URL_SEPERATOR_CHAR`

### Constructor Summary

Constructors
Constructor and Description
`RandomSelectLBStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLbURL(ConnectionConfig config)` Get load balanced URL given the connection configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URL_SEPERATOR_CHAR

    public static final String URL_SEPERATOR_CHAR

See Also:
  Constant Field Values

### Constructor Detail

#### RandomSelectLBStrategy

    public RandomSelectLBStrategy()

### Method Detail

#### getLbURL

    public String getLbURL(ConnectionConfig config)

Description copied from interface: `LBStrategy`
Get load balanced URL given the connection configuration.

Specified by:
  `getLbURL` in interface `LBStrategy`